Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djepJUnit
Class SJepTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.lsmp.djepJUnit.SJepTest

All Implemented Interfaces:
  junit.framework.Test

    public class SJepTest

extends junit.framework.TestCase

Author:
  Rich Morris Created on 19-Nov-2003

Field Summary
`static boolean` | `SHOW_BAD`

Constructor Summary
`SJepTest(java.lang.String name)`

Method Summary
`void` | `assertPolynomialEquals(java.lang.String s1, java.lang.String s2)`
`java.lang.Object` | `calcValue(java.lang.String expr)`
`void` | `complexValueTest(java.lang.String expr, Complex expected, double tol)`
`void` | `expandTestString(java.lang.String expr, java.lang.String expected)`
`static void` | `main(java.lang.String[] args)`
`void` | `myAssertEquals(java.lang.String msg, java.lang.String actual, java.lang.String expected)`
`protected void` | `setUp()`
`void` | `simplifyTest(java.lang.String expr, java.lang.String expected)`
`void` | `simplifyTestString(java.lang.String expr, java.lang.String expected)`
`static junit.framework.Test` | `suite()`
`void` | `testBad()`
`void` | `testFormat()`
`void` | `testGood()` just test JUnit working OK
`void` | `testOperators()`
`void` | `testPolySimp()`
`void` | `testPolySimp2()`
`void` | `testPrint()`
`void` | `testSimp()`
`void` | `testSimpleEquals()`
`void` | `testSimpleSum()`
`void` | `testTotalOrder()`
`void` | `valueTest(java.lang.String expr, double dub)`
`void` | `valueTest(java.lang.String expr, java.lang.Object expected)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHOW_BAD

    public static final boolean SHOW_BAD

See Also:
  Constant Field Values

Constructor Detail

### SJepTest

    public SJepTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### setUp

    protected void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

### myAssertEquals

    public void myAssertEquals(java.lang.String msg,
                               java.lang.String actual,
                               java.lang.String expected)

### assertPolynomialEquals

    public void assertPolynomialEquals(java.lang.String s1,
                                       java.lang.String s2)
                                throws ParseException

  Throws:
    `ParseException`

### testGood

    public void testGood()

  just test JUnit working OK

### valueTest

    public void valueTest(java.lang.String expr,
                          double dub)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### valueTest

    public void valueTest(java.lang.String expr,
                          java.lang.Object expected)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### complexValueTest

    public void complexValueTest(java.lang.String expr,
                                 Complex expected,
                                 double tol)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### calcValue

    public java.lang.Object calcValue(java.lang.String expr)
                               throws ParseException

  Throws:
    `ParseException`

### simplifyTest

    public void simplifyTest(java.lang.String expr,
                             java.lang.String expected)
                      throws ParseException

  Throws:
    `ParseException`

### simplifyTestString

    public void simplifyTestString(java.lang.String expr,
                                   java.lang.String expected)
                            throws ParseException

  Throws:
    `ParseException`

### expandTestString

    public void expandTestString(java.lang.String expr,
                                 java.lang.String expected)
                          throws ParseException

  Throws:
    `ParseException`

### testSimpleSum

    public void testSimpleSum()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testOperators

    public void testOperators()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPrint

    public void testPrint()
                   throws ParseException

  Throws:
    `ParseException`

### testSimp

    public void testSimp()
                  throws ParseException

  Throws:
    `ParseException`

### testPolySimp

    public void testPolySimp()
                      throws ParseException,
                             java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### testTotalOrder

    public void testTotalOrder()
                        throws ParseException,
                               java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### testPolySimp2

    public void testPolySimp2()
                       throws ParseException,
                              java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### testFormat

    public void testFormat()
                    throws ParseException

  Throws:
    `ParseException`

### testSimpleEquals

    public void testSimpleEquals()
                          throws ParseException

  Throws:
    `ParseException`

### testBad

    public void testBad()
                 throws ParseException

  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems